import 'package:json_annotation/json_annotation.dart';
import 'dart:convert';

part 'contragent_response_entity.g.dart';

@JsonSerializable()
class ContragentResponseEntity {
  factory ContragentResponseEntity.fromJson(Map<String, dynamic> json) =>
      _$ContragentResponseEntityFromJson(json);

  ContragentResponseEntity();

  int? id;
  String? biniin;
  @JsonKey(name: 'ref_app_company_type_id')
  late int refAppCompanyTypeId;
  String? name;
  String? phone;
  String? email;
  int? nds;
  int? resident;

  Map<String, dynamic> toJson() => _$ContragentResponseEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
